package com.pcloud.common.core.dto;


import com.pcloud.common.core.enums.ExapiTypeEnum;

import java.io.Serializable;

public class ExapiMessageDto implements Serializable{
    private static final long serialVersionUID = 8575469682032969438L;

    private ExapiTypeEnum code;

    private ExapiMessageContentDto exapiMessageContentDto;

    public ExapiTypeEnum getCode() {
        return code;
    }

    public void setCode(ExapiTypeEnum code) {
        this.code = code;
    }

    public ExapiMessageContentDto getExapiMessageContentDto() {
        return exapiMessageContentDto;
    }

    public void setExapiMessageContentDto(ExapiMessageContentDto exapiMessageContentDto) {
        this.exapiMessageContentDto = exapiMessageContentDto;
    }

    @Override
    public String toString() {
        return "ExapiMessageDto{" +
                "code='" + code + '\'' +
                ", exapiMessageContentDto=" + exapiMessageContentDto +
                '}';
    }
}
